from huobi.model import *


class AccountBalanceRequest:
    """
    The account change information received by subscription of account.

    :member
        timestamp: The UNIX formatted timestamp generated by server in UTC.
        change_type: The event that asset change notification related.
        account_list: The list of account and balance

    """

    def __init__(self):
        self.timestamp = 0
        self.client_req_id = ""
        self.topic = ""
        self.account_list = list()

    @staticmethod
    def json_parse(json_data):
        account_balance = AccountBalanceRequest()
        account_balance.timestamp = json_data.get_int("ts")
        account_balance.client_req_id = json_data.get_string("cid")
        account_balance.topic = json_data.get_string("topic")
        subaccount_list = json_data.get_array("data")

        account_list = list()
        for subaccount in subaccount_list.get_items():
            account = Account.json_parse(subaccount)
            account_list.append(account)
        account_balance.account_list = account_list
        return account_balance